
-heap 0x18000
-stack 0x8000



MEMORY
{
   /* 16K L1 cache  length = 0x3FFF 
      32K L1 cache  length = 0x7FFF
   */
   L1P:     o=0x00E00000 l=0x00007FFF
   L1D:     o=0x00F00000 l=0x00007FFF

   /* 32K  L2 cache length = 0xF7DFF
      64K  L2 cache length = 0xEFDFF
      128K L2 cache length = 0xDFDFF
      256K L2 cache length = 0xBFDFF
   */
   L2:      o=0x00800000 l=0x00100000   
   DDR2:    o=0xe0000000 l=0x01000000
}

SECTIONS
{    
  .bss        > L2
  .far        > L2
  .data       > L2
  .text       > L2
  .cio        > L2
  .cinit      > L2
  .boot       > L2
  .const      > L2
  .stack      > L2
  .sysmem     > L2 
  .switch     > L2
  TCP2Data 	  > L2
  VCP2Data 	  > L2
}

