;******************************************************************************
;* TMS320C6x C/C++ Codegen                                         PC v6.0.15 *
;* Date/Time created: Wed May 07 20:49:08 2008                                *
;******************************************************************************
	.compiler_opts --c64p_l1d_workaround=default --endian=little --hll_source=on --mem_model:code=near --mem_model:data=far_aggregates --silicon_version=6500 --symdebug:skeletal 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C64x+                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 33                          *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : DWARF Debug for Program Analysis w/Optimization      *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("tcp2_util.c")
	.dwattr $C$DW$CU, DW_AT_producer("TMS320C6x C/C++ Codegen PC v6.0.15 Copyright (c) 1996-2007 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)

$C$DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("_disable_interrupts")
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("__disable_interrupts")
	.dwattr $C$DW$1, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$1, DW_AT_declaration
	.dwattr $C$DW$1, DW_AT_external

$C$DW$2	.dwtag  DW_TAG_subprogram, DW_AT_name("_restore_interrupts")
	.dwattr $C$DW$2, DW_AT_TI_symbol_name("__restore_interrupts")
	.dwattr $C$DW$2, DW_AT_declaration
	.dwattr $C$DW$2, DW_AT_external
$C$DW$3	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*$C$DW$T$11)
	.dwendtag $C$DW$2

;	C:\Program Files\C6000 Code Generation Tools 6.0.15\bin\opt6x.exe C:\\DOCUME~1\\a0282196\\LOCALS~1\\Temp\\008043 C:\\DOCUME~1\\a0282196\\LOCALS~1\\Temp\\008045 
	.sect	".text"
	.global	_tcpCheckparams

$C$DW$4	.dwtag  DW_TAG_subprogram, DW_AT_name("tcpCheckparams")
	.dwattr $C$DW$4, DW_AT_low_pc(_tcpCheckparams)
	.dwattr $C$DW$4, DW_AT_high_pc(0x00)
	.dwattr $C$DW$4, DW_AT_TI_symbol_name("_tcpCheckparams")
	.dwattr $C$DW$4, DW_AT_external
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$4, DW_AT_TI_begin_file("tcp2_util.c")
	.dwattr $C$DW$4, DW_AT_TI_begin_line(0x4e)
	.dwattr $C$DW$4, DW_AT_TI_begin_column(0x07)
	.dwattr $C$DW$4, DW_AT_frame_base[DW_OP_breg31 0]
	.dwattr $C$DW$4, DW_AT_TI_skeletal
	.dwpsn	file "tcp2_util.c",line 79,column 1,is_stmt,address _tcpCheckparams

;******************************************************************************
;* FUNCTION NAME: tcpCheckparams                                              *
;*                                                                            *
;*   Regs Modified     : A0,A3,A4,A5,A6,A7,A8,B0,B1,B4,B5,B6,B7               *
;*   Regs Used         : A0,A3,A4,A5,A6,A7,A8,B0,B1,B3,B4,B5,B6,B7            *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_tcpCheckparams:
;** --------------------------------------------------------------------------*
$C$DW$5	.dwtag  DW_TAG_formal_parameter, DW_AT_name("actual")
	.dwattr $C$DW$5, DW_AT_TI_symbol_name("_actual")
	.dwattr $C$DW$5, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$5, DW_AT_location[DW_OP_reg4]
$C$DW$6	.dwtag  DW_TAG_formal_parameter, DW_AT_name("reference")
	.dwattr $C$DW$6, DW_AT_TI_symbol_name("_reference")
	.dwattr $C$DW$6, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$6, DW_AT_location[DW_OP_reg20]
$C$DW$7	.dwtag  DW_TAG_formal_parameter, DW_AT_name("size")
	.dwattr $C$DW$7, DW_AT_TI_symbol_name("_size")
	.dwattr $C$DW$7, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$7, DW_AT_location[DW_OP_reg6]

           MV      .L1     A6,A0             ; |79| 
||         SUB     .L2     B4,4,B4           ; |84| 
||         SUB     .S1     A4,4,A3           ; |84| 
||         ZERO    .S2     B5                ; |84| 
||         ZERO    .D2     B1                ; |84| 

   [!A0]   BNOP    .S1     $C$L4,5
|| [ A0]   MVK     .L2     0x1,B0            ; init sploopw predicate

           ; BRANCHCC OCCURS {$C$L4} 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line                 : 84
;*      Loop opening brace source line   : 85
;*      Loop closing brace source line   : 97
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 2
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     1        0     
;*      .S units                     0        0     
;*      .D units                     1        1     
;*      .M units                     0        0     
;*      .X cross paths               1        1     
;*      .T address paths             1        1     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          4        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        0     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Did not find schedule
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Did not find schedule
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Did not find schedule
;*         ii = 7  Unsafe schedule for irregular loop
;*         ii = 7  Unsafe schedule for irregular loop
;*         ii = 7  Unsafe schedule for irregular loop
;*         ii = 7  Did not find schedule
;*         ii = 8  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages     : 1
;*      Collapsed prolog stages     : 0
;*      Minimum required memory pad : 0 bytes
;*
;*      For further improvement on this loop, try option -mh56
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
$C$L1:    ; PIPED LOOP PROLOG
	.dwpsn	file "tcp2_util.c",line 84,column 0,is_stmt
   [ B0]   SPLOOPW 8       ;16               ; (P) 
;** --------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP KERNEL
$C$DW$L$_tcpCheckparams$3$B:
	.dwpsn	file "tcp2_util.c",line 85,column 0,is_stmt

           SPMASK          L1,L2
||         MV      .L1X    B4,A5
||         MV      .L2X    A3,B6

           SPMASK          L1
||         MV      .L1     A6,A7
||         LDW     .D1T1   *++A5,A6          ; |86| (P) <0,1> 
||         LDW     .D2T2   *++B6,B7          ; |86| (P) <0,1> 

           NOP             4
           CMPEQ   .L1X    B7,A6,A4          ; |86| (P) <0,6> 

           SPMASK          L2
||         MVK     .L2     0xffffffff,B5     ; |84| 
||         XOR     .L1     1,A4,A4           ; |86| (P) <0,7> 

           MVD     .M1     A6,A3             ; <0,8> Collapse epilog
||         MVD     .M2     B7,B4             ; <0,8> Collapse epilog
||         SUB     .L1     A7,1,A7           ; |84| <0,8> 
||         SUB     .S1     A4,1,A8           ; |86| <0,8> 

           AND     .L1     A8,A7,A3          ; |84| <0,9>  ^ 
           NOP             1
           MV      .L2X    A3,B0             ; |84| <0,11>  ^ 
           NOP             2
           NOP             1
	.dwpsn	file "tcp2_util.c",line 97,column 0,is_stmt

           SPKERNEL 0,0
||         ADD     .L2     1,B5,B5           ; |84| <0,15> 

$C$DW$L$_tcpCheckparams$3$E:
;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           MV      .L1     A8,A0

   [ A0]   BNOP    .S2     $C$L4,4
|| [!A0]   MVKL    .S1     0xdead1000,A4
|| [ A0]   ADD     .L2     1,B5,B5           ; |84| 

   [!A0]   MVKH    .S1     0xdead1000,A4
           ; BRANCHCC OCCURS {$C$L4} 
;** --------------------------------------------------------------------------*
           NOP             1
           MVC     .S2X    A4,NRP            ; |89| 
           MVC     .S2     B5,NRP            ; |90| 
           ADD     .L1     1,A4,A4
           NOP             1
           MVC     .S2X    A4,NRP            ; |91| 
           MVC     .S2X    A3,NRP            ; |92| 
           ADD     .L1     1,A4,A3
           NOP             1
           MVC     .S2X    A3,NRP            ; |93| 
           MVC     .S2     B4,NRP            ; |94| 
           MVK     .L2     0x1,B1            ; |88| 
;** --------------------------------------------------------------------------*
$C$L4:    
           MVC     .S2     B1,NRP            ; |99| 

   [ B1]   MVKL    .S2     0xdead0bad,B4
||         ZERO    .L1     A4                ; |108| 

   [ B1]   MVKH    .S2     0xdead0bad,B4
   [ B1]   MVC     .S2     B4,NRP            ; |102| 
   [ B1]   ADD     .L2     1,B5,B4           ; |103| 
   [ B1]   MVC     .S2     B4,NRP            ; |103| 
	.dwpsn	file "tcp2_util.c",line 111,column 1,is_stmt

           RETNOP  .S2     B3,5              ; |111| 
|| [ B1]   MVK     .L1     0x1,A4            ; |104| 

           ; BRANCH OCCURS {B3}              ; |111| 

$C$DW$8	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$8, DW_AT_name("D:\dsp\CURIE\TestCase\VCP2_TCP2_channel_density\Source\tcp2_util.asm:$C$L2:1:1210211348")
	.dwattr $C$DW$8, DW_AT_TI_begin_file("tcp2_util.c")
	.dwattr $C$DW$8, DW_AT_TI_begin_line(0x54)
	.dwattr $C$DW$8, DW_AT_TI_end_line(0x61)
$C$DW$9	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$9, DW_AT_low_pc($C$DW$L$_tcpCheckparams$3$B)
	.dwattr $C$DW$9, DW_AT_high_pc($C$DW$L$_tcpCheckparams$3$E)
	.dwendtag $C$DW$8

	.dwattr $C$DW$4, DW_AT_TI_end_file("tcp2_util.c")
	.dwattr $C$DW$4, DW_AT_TI_end_line(0x6f)
	.dwattr $C$DW$4, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$4

	.sect	".text"
	.global	_tcpCheckResults_Spmode_Bigend

$C$DW$10	.dwtag  DW_TAG_subprogram, DW_AT_name("tcpCheckResults_Spmode_Bigend")
	.dwattr $C$DW$10, DW_AT_low_pc(_tcpCheckResults_Spmode_Bigend)
	.dwattr $C$DW$10, DW_AT_high_pc(0x00)
	.dwattr $C$DW$10, DW_AT_TI_symbol_name("_tcpCheckResults_Spmode_Bigend")
	.dwattr $C$DW$10, DW_AT_external
	.dwattr $C$DW$10, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$10, DW_AT_TI_begin_file("tcp2_util.c")
	.dwattr $C$DW$10, DW_AT_TI_begin_line(0xed)
	.dwattr $C$DW$10, DW_AT_TI_begin_column(0x07)
	.dwattr $C$DW$10, DW_AT_frame_base[DW_OP_breg31 0]
	.dwattr $C$DW$10, DW_AT_TI_skeletal
	.dwpsn	file "tcp2_util.c",line 238,column 1,is_stmt,address _tcpCheckResults_Spmode_Bigend

;******************************************************************************
;* FUNCTION NAME: tcpCheckResults_Spmode_Bigend                               *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B4,B5,B6,A16, *
;*                           A17                                              *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           A16,A17                                          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_tcpCheckResults_Spmode_Bigend:
;** --------------------------------------------------------------------------*
$C$DW$11	.dwtag  DW_TAG_formal_parameter, DW_AT_name("actual")
	.dwattr $C$DW$11, DW_AT_TI_symbol_name("_actual")
	.dwattr $C$DW$11, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$11, DW_AT_location[DW_OP_reg4]
$C$DW$12	.dwtag  DW_TAG_formal_parameter, DW_AT_name("reference")
	.dwattr $C$DW$12, DW_AT_TI_symbol_name("_reference")
	.dwattr $C$DW$12, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$12, DW_AT_location[DW_OP_reg20]
$C$DW$13	.dwtag  DW_TAG_formal_parameter, DW_AT_name("size")
	.dwattr $C$DW$13, DW_AT_TI_symbol_name("_size")
	.dwattr $C$DW$13, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$13, DW_AT_location[DW_OP_reg6]

           AND     .L1     3,A6,A3           ; |287| 
||         SHRU    .S1     A6,2,A5           ; |254| 

           AND     .L1     -2,A5,A3          ; |254| 
||         SHL     .S1     A3,3,A6           ; |287| 
||         AND     .D1     7,A6,A1           ; |255| 

           MV      .L1     A3,A0             ; |254| 
   [ A1]   ADD     .L1     2,A3,A0           ; |256| 
   [!A0]   B       .S1     $C$L7             ; |296| 

           MVK     .S1     32,A16            ; |287| 
||         MVK     .L1     1,A8              ; |287| 

           MVK     .L1     0xffffffff,A9     ; |263| 
||         MV      .S1X    B4,A7             ; |238| 
||         ZERO    .D1     A2                ; |243| 
||         ZERO    .L2     B1                ; |256| 

           SUB     .D1     A16,A6,A6         ; |287| 
||         SHL     .S1     A8,A6,A8          ; |287| 
|| [ A1]   CMPLTU  .L2X    A1,4,B1           ; |256| 
|| [ A1]   CMPLTU  .L1     A1,4,A2           ; |269| 

           MV      .L2X    A0,B0             ; |298| 
||         SUB     .L1     A8,1,A3           ; |287| 
|| [ A1]   ADD     .S1     1,A3,A9           ; |256| 
||         ADD     .D1     2,A3,A5           ; |256| 
||         MVK     .S2     0xffffffff,B4     ; |264| 

           ZERO    .L1     A3                ; |241| 
||         SHL     .S1     A3,A6,A8          ; |287| 
|| [ A2]   SUB     .L2X    A0,1,B4           ; |272| 
||         ZERO    .S2     B1                ; |241| 
|| [ B1]   SUB     .D1     A5,2,A9           ; |256| 

           ; BRANCHCC OCCURS {$C$L7}         ; |296| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Loop contains control code
;*----------------------------------------------------------------------------*
$C$L5:    
$C$DW$L$_tcpCheckResults_Spmode_Bigend$2$B:
	.dwpsn	file "tcp2_util.c",line 297,column 0,is_stmt

           CMPEQ   .L1     A3,A9,A0          ; |298| 
||         SUB     .L2     B0,1,B0           ; |296| 

   [!A0]   CMPEQ   .L2X    A3,B4,B6          ; |303| 
   [ A0]   LDW     .D1T1   *+A7[A3],A16      ; |301| 
           OR      .L1X    B6,A0,A1          ; |303| 
   [!A1]   LDW     .D1T1   *+A7[A3],A5       ; |311| 
   [!A1]   LDW     .D1T1   *+A4[A3],A6       ; |310| 
   [ A0]   LDW     .D1T1   *+A4[A3],A17      ; |300| 
           CMPEQ   .L2     B6,0,B5           ; |303| 
           OR      .L2X    B5,A0,B2          ; |303| 
   [!B2]   MV      .L1X    B1,A5             ; |303| 

   [!B2]   MV      .L1X    B1,A6             ; |303| 
|| [ A0]   AND     .S1     A8,A16,A5         ; |301| 

   [ A0]   AND     .L1     A8,A17,A6         ; |300| 
           CMPEQ   .L1     A6,A5,A0          ; |314| 

   [!A0]   ZERO    .L2     B0                ; |296| nullify predicate
|| [!A0]   B       .S2     $C$L6             ; |314| 
|| [!A0]   MVKL    .S1     0xdead2000,A5
|| [ A0]   ADD     .L1     1,A3,A3           ; |296| 

   [ B0]   BNOP    .S2     $C$L5,4           ; |296| 
|| [!A0]   MVKH    .S1     0xdead2000,A5

           ; BRANCHCC OCCURS {$C$L6}         ; |314| 
$C$DW$L$_tcpCheckResults_Spmode_Bigend$2$E:
;** --------------------------------------------------------------------------*
$C$DW$L$_tcpCheckResults_Spmode_Bigend$3$B:
	.dwpsn	file "tcp2_util.c",line 327,column 0,is_stmt
   [!B0]   B       .S1     $C$L7             ; |296| 
           ; BRANCHCC OCCURS {$C$L5}         ; |296| 
$C$DW$L$_tcpCheckResults_Spmode_Bigend$3$E:
;** --------------------------------------------------------------------------*
           NOP             5
           ; BRANCH OCCURS {$C$L7}           ; |296| 
;** --------------------------------------------------------------------------*
$C$L6:    
           MVC     .S2X    A5,NRP            ; |317| 
           MVC     .S2X    A3,NRP            ; |318| 
           ADD     .L1     1,A5,A5
           NOP             1
           MVC     .S2X    A5,NRP            ; |319| 
           LDW     .D1T1   *+A7[A3],A6       ; |320| 
           NOP             4
           MVC     .S2X    A6,NRP            ; |320| 
           ADD     .L1     1,A5,A5
           NOP             1
           MVC     .S2X    A5,NRP            ; |321| 
           LDW     .D1T1   *+A4[A3],A4       ; |322| 
           NOP             4
           MVC     .S2X    A4,NRP            ; |322| 
           MVK     .L2     0x1,B1            ; |316| 
;** --------------------------------------------------------------------------*
$C$L7:    
           MVC     .S2     B1,NRP            ; |329| 

   [ B1]   MVKL    .S2     0xdead0bad,B4
||         ZERO    .L1     A4                ; |338| 

   [ B1]   MVKH    .S2     0xdead0bad,B4
   [ B1]   MVC     .S2     B4,NRP            ; |332| 
   [ B1]   ADD     .L1     1,A3,A3           ; |333| 
           NOP             1
   [ B1]   MVC     .S2X    A3,NRP            ; |333| 
	.dwpsn	file "tcp2_util.c",line 342,column 4,is_stmt

           RETNOP  .S2     B3,5              ; |342| 
|| [ B1]   MVK     .L1     0x1,A4            ; |334| 

           ; BRANCH OCCURS {B3}              ; |342| 

$C$DW$14	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$14, DW_AT_name("D:\dsp\CURIE\TestCase\VCP2_TCP2_channel_density\Source\tcp2_util.asm:$C$L5:1:1210211348")
	.dwattr $C$DW$14, DW_AT_TI_begin_file("tcp2_util.c")
	.dwattr $C$DW$14, DW_AT_TI_begin_line(0x128)
	.dwattr $C$DW$14, DW_AT_TI_end_line(0x147)
$C$DW$15	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$15, DW_AT_low_pc($C$DW$L$_tcpCheckResults_Spmode_Bigend$2$B)
	.dwattr $C$DW$15, DW_AT_high_pc($C$DW$L$_tcpCheckResults_Spmode_Bigend$2$E)
$C$DW$16	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$16, DW_AT_low_pc($C$DW$L$_tcpCheckResults_Spmode_Bigend$3$B)
	.dwattr $C$DW$16, DW_AT_high_pc($C$DW$L$_tcpCheckResults_Spmode_Bigend$3$E)
	.dwendtag $C$DW$14

	.dwattr $C$DW$10, DW_AT_TI_end_file("tcp2_util.c")
	.dwattr $C$DW$10, DW_AT_TI_end_line(0x156)
	.dwattr $C$DW$10, DW_AT_TI_end_column(0x04)
	.dwendtag $C$DW$10

	.sect	".text"
	.global	_tcpCheckResults_Spmode

$C$DW$17	.dwtag  DW_TAG_subprogram, DW_AT_name("tcpCheckResults_Spmode")
	.dwattr $C$DW$17, DW_AT_low_pc(_tcpCheckResults_Spmode)
	.dwattr $C$DW$17, DW_AT_high_pc(0x00)
	.dwattr $C$DW$17, DW_AT_TI_symbol_name("_tcpCheckResults_Spmode")
	.dwattr $C$DW$17, DW_AT_external
	.dwattr $C$DW$17, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$17, DW_AT_TI_begin_file("tcp2_util.c")
	.dwattr $C$DW$17, DW_AT_TI_begin_line(0x80)
	.dwattr $C$DW$17, DW_AT_TI_begin_column(0x07)
	.dwattr $C$DW$17, DW_AT_frame_base[DW_OP_breg31 0]
	.dwattr $C$DW$17, DW_AT_TI_skeletal
	.dwpsn	file "tcp2_util.c",line 129,column 1,is_stmt,address _tcpCheckResults_Spmode

;******************************************************************************
;* FUNCTION NAME: tcpCheckResults_Spmode                                      *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B4,B5,B6,A16, *
;*                           A17                                              *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           A16,A17                                          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_tcpCheckResults_Spmode:
;** --------------------------------------------------------------------------*
$C$DW$18	.dwtag  DW_TAG_formal_parameter, DW_AT_name("actual")
	.dwattr $C$DW$18, DW_AT_TI_symbol_name("_actual")
	.dwattr $C$DW$18, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$18, DW_AT_location[DW_OP_reg4]
$C$DW$19	.dwtag  DW_TAG_formal_parameter, DW_AT_name("reference")
	.dwattr $C$DW$19, DW_AT_TI_symbol_name("_reference")
	.dwattr $C$DW$19, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$19, DW_AT_location[DW_OP_reg20]
$C$DW$20	.dwtag  DW_TAG_formal_parameter, DW_AT_name("size")
	.dwattr $C$DW$20, DW_AT_TI_symbol_name("_size")
	.dwattr $C$DW$20, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$20, DW_AT_location[DW_OP_reg6]
           SHRU    .S1     A6,2,A3           ; |145| 
           AND     .L1     -2,A3,A3          ; |145| 

           MV      .L1     A3,A0             ; |145| 
||         AND     .S1     7,A6,A1           ; |146| 

   [ A1]   ADD     .L1     2,A3,A0           ; |147| 
   [!A0]   B       .S1     $C$L10            ; |188| 
           ZERO    .L1     A2                ; |134| 

           MVK     .L1     1,A7              ; |178| 
||         MVK     .S1     0xffffffff,A8     ; |154| 
||         AND     .D1     3,A6,A9           ; |178| 
||         ZERO    .L2     B1                ; |134| 

   [ A1]   CMPLTU  .L2X    A1,4,B1           ; |147| 
|| [ A1]   CMPLTU  .L1     A1,4,A2           ; |160| 
||         SHL     .S1     A9,3,A9           ; |178| 
||         MV      .D1X    B4,A5             ; |129| 

           MV      .L2X    A0,B0             ; |190| 
||         SHL     .S1     A7,A9,A3          ; |178| 
|| [ A1]   ADD     .L1     1,A3,A8           ; |147| 
||         ADD     .D1     2,A3,A6           ; |147| 
||         MVK     .S2     0xffffffff,B4     ; |155| 

           ZERO    .L1     A3                ; |132| 
||         SUB     .S1     A3,1,A7           ; |178| 
|| [ A2]   SUB     .L2X    A0,1,B4           ; |163| 
||         ZERO    .S2     B1                ; |132| 
|| [ B1]   SUB     .D1     A6,2,A8           ; |147| 

           ; BRANCHCC OCCURS {$C$L10}        ; |188| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Loop contains control code
;*----------------------------------------------------------------------------*
$C$L8:    
$C$DW$L$_tcpCheckResults_Spmode$2$B:
	.dwpsn	file "tcp2_util.c",line 189,column 0,is_stmt

           CMPEQ   .L1     A3,A8,A0          ; |190| 
||         SUB     .L2     B0,1,B0           ; |188| 

   [!A0]   CMPEQ   .L2X    A3,B4,B6          ; |195| 
   [ A0]   LDW     .D1T1   *+A5[A3],A16      ; |193| 
           OR      .L1X    B6,A0,A1          ; |195| 
   [!A1]   LDW     .D1T1   *+A5[A3],A9       ; |203| 
   [!A1]   LDW     .D1T1   *+A4[A3],A6       ; |202| 
   [ A0]   LDW     .D1T1   *+A4[A3],A17      ; |192| 
           CMPEQ   .L2     B6,0,B5           ; |195| 
           OR      .L2X    B5,A0,B2          ; |195| 
   [!B2]   MV      .L1X    B1,A9             ; |195| 

   [!B2]   MV      .L1X    B1,A6             ; |195| 
|| [ A0]   AND     .S1     A7,A16,A9         ; |193| 

   [ A0]   AND     .L1     A7,A17,A6         ; |192| 
           CMPEQ   .L1     A6,A9,A0          ; |206| 

   [!A0]   ZERO    .L2     B0                ; |188| nullify predicate
|| [!A0]   B       .S2     $C$L9             ; |206| 
|| [!A0]   MVKL    .S1     0xdead2000,A6
|| [ A0]   ADD     .L1     1,A3,A3           ; |188| 

   [ B0]   BNOP    .S2     $C$L8,4           ; |188| 
|| [!A0]   MVKH    .S1     0xdead2000,A6

           ; BRANCHCC OCCURS {$C$L9}         ; |206| 
$C$DW$L$_tcpCheckResults_Spmode$2$E:
;** --------------------------------------------------------------------------*
$C$DW$L$_tcpCheckResults_Spmode$3$B:
	.dwpsn	file "tcp2_util.c",line 219,column 0,is_stmt
   [!B0]   B       .S1     $C$L10            ; |188| 
           ; BRANCHCC OCCURS {$C$L8}         ; |188| 
$C$DW$L$_tcpCheckResults_Spmode$3$E:
;** --------------------------------------------------------------------------*
           NOP             5
           ; BRANCH OCCURS {$C$L10}          ; |188| 
;** --------------------------------------------------------------------------*
$C$L9:    
           MVC     .S2X    A6,NRP            ; |209| 
           MVC     .S2X    A3,NRP            ; |210| 
           ADD     .L1     1,A6,A6
           NOP             1
           MVC     .S2X    A6,NRP            ; |211| 
           LDW     .D1T1   *+A5[A3],A5       ; |212| 
           NOP             4
           MVC     .S2X    A5,NRP            ; |212| 
           ADD     .L1     1,A6,A5
           NOP             1
           MVC     .S2X    A5,NRP            ; |213| 
           LDW     .D1T1   *+A4[A3],A4       ; |214| 
           NOP             4
           MVC     .S2X    A4,NRP            ; |214| 
           MVK     .L2     0x1,B1            ; |208| 
;** --------------------------------------------------------------------------*
$C$L10:    
           MVC     .S2     B1,NRP            ; |221| 

   [ B1]   MVKL    .S2     0xdead0bad,B4
||         ZERO    .L1     A4                ; |230| 

   [ B1]   MVKH    .S2     0xdead0bad,B4
   [ B1]   MVC     .S2     B4,NRP            ; |224| 
   [ B1]   ADD     .L1     1,A3,A3           ; |225| 
           NOP             1
   [ B1]   MVC     .S2X    A3,NRP            ; |225| 
	.dwpsn	file "tcp2_util.c",line 234,column 4,is_stmt

           RETNOP  .S2     B3,5              ; |234| 
|| [ B1]   MVK     .L1     0x1,A4            ; |226| 

           ; BRANCH OCCURS {B3}              ; |234| 

$C$DW$21	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$21, DW_AT_name("D:\dsp\CURIE\TestCase\VCP2_TCP2_channel_density\Source\tcp2_util.asm:$C$L8:1:1210211348")
	.dwattr $C$DW$21, DW_AT_TI_begin_file("tcp2_util.c")
	.dwattr $C$DW$21, DW_AT_TI_begin_line(0xbc)
	.dwattr $C$DW$21, DW_AT_TI_end_line(0xdb)
$C$DW$22	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$22, DW_AT_low_pc($C$DW$L$_tcpCheckResults_Spmode$2$B)
	.dwattr $C$DW$22, DW_AT_high_pc($C$DW$L$_tcpCheckResults_Spmode$2$E)
$C$DW$23	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$23, DW_AT_low_pc($C$DW$L$_tcpCheckResults_Spmode$3$B)
	.dwattr $C$DW$23, DW_AT_high_pc($C$DW$L$_tcpCheckResults_Spmode$3$E)
	.dwendtag $C$DW$21

	.dwattr $C$DW$17, DW_AT_TI_end_file("tcp2_util.c")
	.dwattr $C$DW$17, DW_AT_TI_end_line(0xea)
	.dwattr $C$DW$17, DW_AT_TI_end_column(0x04)
	.dwendtag $C$DW$17

	.sect	".text"
	.global	_tcpCheckResults

$C$DW$24	.dwtag  DW_TAG_subprogram, DW_AT_name("tcpCheckResults")
	.dwattr $C$DW$24, DW_AT_low_pc(_tcpCheckResults)
	.dwattr $C$DW$24, DW_AT_high_pc(0x00)
	.dwattr $C$DW$24, DW_AT_TI_symbol_name("_tcpCheckResults")
	.dwattr $C$DW$24, DW_AT_external
	.dwattr $C$DW$24, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$24, DW_AT_TI_begin_file("tcp2_util.c")
	.dwattr $C$DW$24, DW_AT_TI_begin_line(0x29)
	.dwattr $C$DW$24, DW_AT_TI_begin_column(0x07)
	.dwattr $C$DW$24, DW_AT_frame_base[DW_OP_breg31 0]
	.dwattr $C$DW$24, DW_AT_TI_skeletal
	.dwpsn	file "tcp2_util.c",line 42,column 1,is_stmt,address _tcpCheckResults

;******************************************************************************
;* FUNCTION NAME: tcpCheckResults                                             *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,A5,A6,A7,A8,B0,B1,B4,B5,B6,B7            *
;*   Regs Used         : A0,A1,A3,A4,A5,A6,A7,A8,B0,B1,B3,B4,B5,B6,B7         *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_tcpCheckResults:
;** --------------------------------------------------------------------------*
$C$DW$25	.dwtag  DW_TAG_formal_parameter, DW_AT_name("actual")
	.dwattr $C$DW$25, DW_AT_TI_symbol_name("_actual")
	.dwattr $C$DW$25, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$25, DW_AT_location[DW_OP_reg4]
$C$DW$26	.dwtag  DW_TAG_formal_parameter, DW_AT_name("reference")
	.dwattr $C$DW$26, DW_AT_TI_symbol_name("_reference")
	.dwattr $C$DW$26, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$26, DW_AT_location[DW_OP_reg20]
$C$DW$27	.dwtag  DW_TAG_formal_parameter, DW_AT_name("size")
	.dwattr $C$DW$27, DW_AT_TI_symbol_name("_size")
	.dwattr $C$DW$27, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$27, DW_AT_location[DW_OP_reg6]

           SHRU    .S1     A6,5,A3           ; |47| 
||         SUB     .L2     B4,4,B4           ; |51| 
||         ZERO    .S2     B5                ; |51| 
||         ZERO    .D2     B1                ; |51| 

           AND     .L1     -2,A3,A0          ; |47| 
||         EXTU    .S1     A6,26,26,A1       ; |48| 
||         SUB     .D1     A4,4,A3           ; |51| 

   [ A1]   ADD     .L1     2,A0,A0           ; |49| 

   [!A0]   BNOP    .S1     $C$L14,5
|| [ A0]   MVK     .L2     0x1,B0            ; init sploopw predicate

           ; BRANCHCC OCCURS {$C$L14} 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line                 : 51
;*      Loop opening brace source line   : 52
;*      Loop closing brace source line   : 64
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 2
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     1        0     
;*      .S units                     0        0     
;*      .D units                     1        1     
;*      .M units                     0        0     
;*      .X cross paths               1        1     
;*      .T address paths             1        1     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          4        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        0     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Did not find schedule
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Did not find schedule
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Did not find schedule
;*         ii = 7  Unsafe schedule for irregular loop
;*         ii = 7  Unsafe schedule for irregular loop
;*         ii = 7  Unsafe schedule for irregular loop
;*         ii = 7  Did not find schedule
;*         ii = 8  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages     : 1
;*      Collapsed prolog stages     : 0
;*      Minimum required memory pad : 0 bytes
;*
;*      For further improvement on this loop, try option -mh56
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
$C$L11:    ; PIPED LOOP PROLOG
	.dwpsn	file "tcp2_util.c",line 51,column 0,is_stmt
   [ B0]   SPLOOPW 8       ;16               ; (P) 
;** --------------------------------------------------------------------------*
$C$L12:    ; PIPED LOOP KERNEL
$C$DW$L$_tcpCheckResults$3$B:
	.dwpsn	file "tcp2_util.c",line 52,column 0,is_stmt

           SPMASK          L1,L2
||         MV      .L1X    B4,A5
||         MV      .L2X    A3,B6

           LDW     .D1T1   *++A5,A6          ; |53| (P) <0,1> 
||         LDW     .D2T2   *++B6,B7          ; |53| (P) <0,1> 

           NOP             4
           CMPEQ   .L1X    B7,A6,A4          ; |53| (P) <0,6> 

           SPMASK          S1,L2
||         MVK     .L2     0xffffffff,B5     ; |51| 
||         MV      .S1     A0,A7
||         XOR     .L1     1,A4,A4           ; |53| (P) <0,7> 

           MVD     .M1     A6,A3             ; <0,8> Collapse epilog
||         MVD     .M2     B7,B4             ; <0,8> Collapse epilog
||         SUB     .L1     A7,1,A7           ; |51| <0,8> 
||         SUB     .S1     A4,1,A8           ; |53| <0,8> 

           AND     .L1     A8,A7,A3          ; |51| <0,9>  ^ 
           NOP             1
           MV      .L2X    A3,B0             ; |51| <0,11>  ^ 
           NOP             2
           NOP             1
	.dwpsn	file "tcp2_util.c",line 64,column 0,is_stmt

           SPKERNEL 0,0
||         ADD     .L2     1,B5,B5           ; |51| <0,15> 

$C$DW$L$_tcpCheckResults$3$E:
;** --------------------------------------------------------------------------*
$C$L13:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           MV      .L1     A8,A0

   [ A0]   BNOP    .S2     $C$L14,4
|| [!A0]   MVKL    .S1     0xdead2000,A4
|| [ A0]   ADD     .L2     1,B5,B5           ; |51| 

   [!A0]   MVKH    .S1     0xdead2000,A4
           ; BRANCHCC OCCURS {$C$L14} 
;** --------------------------------------------------------------------------*
           NOP             1
           MVC     .S2X    A4,NRP            ; |56| 
           MVC     .S2     B5,NRP            ; |57| 
           ADD     .L1     1,A4,A4
           NOP             1
           MVC     .S2X    A4,NRP            ; |58| 
           MVC     .S2X    A3,NRP            ; |59| 
           ADD     .L1     1,A4,A3
           NOP             1
           MVC     .S2X    A3,NRP            ; |60| 
           MVC     .S2     B4,NRP            ; |61| 
           MVK     .L2     0x1,B1            ; |55| 
;** --------------------------------------------------------------------------*
$C$L14:    
           MVC     .S2     B1,NRP            ; |65| 

   [ B1]   MVKL    .S2     0xdead0bad,B4
||         ZERO    .L1     A4                ; |74| 

   [ B1]   MVKH    .S2     0xdead0bad,B4
   [ B1]   MVC     .S2     B4,NRP            ; |68| 
   [ B1]   ADD     .L2     1,B5,B4           ; |69| 
   [ B1]   MVC     .S2     B4,NRP            ; |69| 
	.dwpsn	file "tcp2_util.c",line 76,column 1,is_stmt

           RETNOP  .S2     B3,5              ; |76| 
|| [ B1]   MVK     .L1     0x1,A4            ; |70| 

           ; BRANCH OCCURS {B3}              ; |76| 

$C$DW$28	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$28, DW_AT_name("D:\dsp\CURIE\TestCase\VCP2_TCP2_channel_density\Source\tcp2_util.asm:$C$L12:1:1210211348")
	.dwattr $C$DW$28, DW_AT_TI_begin_file("tcp2_util.c")
	.dwattr $C$DW$28, DW_AT_TI_begin_line(0x33)
	.dwattr $C$DW$28, DW_AT_TI_end_line(0x40)
$C$DW$29	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$29, DW_AT_low_pc($C$DW$L$_tcpCheckResults$3$B)
	.dwattr $C$DW$29, DW_AT_high_pc($C$DW$L$_tcpCheckResults$3$E)
	.dwendtag $C$DW$28

	.dwattr $C$DW$24, DW_AT_TI_end_file("tcp2_util.c")
	.dwattr $C$DW$24, DW_AT_TI_end_line(0x4c)
	.dwattr $C$DW$24, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$24

	.sect	".text"
	.global	_TCP2_storeTailbits

$C$DW$30	.dwtag  DW_TAG_subprogram, DW_AT_name("TCP2_storeTailbits")
	.dwattr $C$DW$30, DW_AT_low_pc(_TCP2_storeTailbits)
	.dwattr $C$DW$30, DW_AT_high_pc(0x00)
	.dwattr $C$DW$30, DW_AT_TI_symbol_name("_TCP2_storeTailbits")
	.dwattr $C$DW$30, DW_AT_external
	.dwattr $C$DW$30, DW_AT_TI_begin_file("tcp2_util.c")
	.dwattr $C$DW$30, DW_AT_TI_begin_line(0x15b)
	.dwattr $C$DW$30, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$30, DW_AT_frame_base[DW_OP_breg31 0]
	.dwattr $C$DW$30, DW_AT_TI_skeletal
	.dwpsn	file "tcp2_util.c",line 351,column 1,is_stmt,address _TCP2_storeTailbits

;******************************************************************************
;* FUNCTION NAME: TCP2_storeTailbits                                          *
;*                                                                            *
;*   Regs Modified     : A3,A5,A6,A7,A8,B5,B6                                 *
;*   Regs Used         : A3,A4,A5,A6,A7,A8,B3,B4,B5,B6                        *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_TCP2_storeTailbits:
;** --------------------------------------------------------------------------*
$C$DW$31	.dwtag  DW_TAG_formal_parameter, DW_AT_name("TailConfig")
	.dwattr $C$DW$31, DW_AT_TI_symbol_name("_TailConfig")
	.dwattr $C$DW$31, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$31, DW_AT_location[DW_OP_reg4]
$C$DW$32	.dwtag  DW_TAG_formal_parameter, DW_AT_name("configIc")
	.dwattr $C$DW$32, DW_AT_TI_symbol_name("_configIc")
	.dwattr $C$DW$32, DW_AT_type(*$C$DW$T$25)
	.dwattr $C$DW$32, DW_AT_location[DW_OP_reg20]
           MVC     .S2     CSR,B6            ; |353| 
           DINT                              ; |353| 
           LDW     .D1T2   *A4,B5            ; |355| 
           LDW     .D1T1   *+A4(4),A8        ; |356| 
           LDW     .D1T1   *+A4(8),A7        ; |357| 
           LDW     .D1T1   *+A4(12),A6       ; |358| 
           LDW     .D1T1   *+A4(16),A5       ; |359| 

           LDW     .D1T1   *+A4(20),A3       ; |360| 
||         STW     .D2T2   B5,*+B4(24)       ; |355| 

           STW     .D2T1   A8,*+B4(28)       ; |356| 
           STW     .D2T1   A7,*+B4(32)       ; |357| 
           STW     .D2T1   A6,*+B4(36)       ; |358| 
           STW     .D2T1   A5,*+B4(40)       ; |359| 

           STW     .D2T1   A3,*+B4(44)       ; |360| 
||         MVC     .S2     B6,CSR            ; |362| 

	.dwpsn	file "tcp2_util.c",line 363,column 1,is_stmt
           RETNOP  .S2     B3,5              ; |363| 
           ; BRANCH OCCURS {B3}              ; |363| 
	.dwattr $C$DW$30, DW_AT_TI_end_file("tcp2_util.c")
	.dwattr $C$DW$30, DW_AT_TI_end_line(0x16b)
	.dwattr $C$DW$30, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$30


;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************

$C$DW$T$21	.dwtag  DW_TAG_subroutine_type
	.dwattr $C$DW$T$21, DW_AT_language(DW_LANG_C)
$C$DW$33	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*$C$DW$T$11)
	.dwendtag $C$DW$T$21


$C$DW$T$26	.dwtag  DW_TAG_subroutine_type
	.dwattr $C$DW$T$26, DW_AT_language(DW_LANG_C)
$C$DW$34	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*$C$DW$T$22)
$C$DW$35	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*$C$DW$T$25)
	.dwendtag $C$DW$T$26

$C$DW$T$4	.dwtag  DW_TAG_base_type, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$6	.dwtag  DW_TAG_base_type, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$7	.dwtag  DW_TAG_base_type, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)
$C$DW$T$8	.dwtag  DW_TAG_base_type, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x02)
$C$DW$T$9	.dwtag  DW_TAG_base_type, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x02)
$C$DW$T$10	.dwtag  DW_TAG_base_type, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x04)
$C$DW$T$27	.dwtag  DW_TAG_typedef, DW_AT_name("Int32")
	.dwattr $C$DW$T$27, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$27, DW_AT_language(DW_LANG_C)

$C$DW$T$28	.dwtag  DW_TAG_subroutine_type, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$28, DW_AT_language(DW_LANG_C)
$C$DW$36	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*$C$DW$T$22)
$C$DW$37	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*$C$DW$T$22)
$C$DW$38	.dwtag  DW_TAG_formal_parameter, DW_AT_type(*$C$DW$T$19)
	.dwendtag $C$DW$T$28

$C$DW$T$11	.dwtag  DW_TAG_base_type, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x04)
$C$DW$T$19	.dwtag  DW_TAG_typedef, DW_AT_name("Uint32")
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$19, DW_AT_language(DW_LANG_C)
$C$DW$T$22	.dwtag  DW_TAG_pointer_type, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$T$22, DW_AT_address_class(0x20)
$C$DW$T$34	.dwtag  DW_TAG_volatile_type
	.dwattr $C$DW$T$34, DW_AT_type(*$C$DW$T$19)

$C$DW$T$36	.dwtag  DW_TAG_subroutine_type, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$36, DW_AT_language(DW_LANG_C)
$C$DW$T$12	.dwtag  DW_TAG_base_type, DW_AT_name("long")
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$12, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$12, DW_AT_bit_offset(0x18)
$C$DW$T$13	.dwtag  DW_TAG_base_type, DW_AT_name("unsigned long")
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$13, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$13, DW_AT_bit_offset(0x18)
$C$DW$T$14	.dwtag  DW_TAG_base_type, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x08)
$C$DW$T$15	.dwtag  DW_TAG_base_type, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x08)
$C$DW$T$16	.dwtag  DW_TAG_base_type, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x04)
$C$DW$T$17	.dwtag  DW_TAG_base_type, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x08)
$C$DW$T$18	.dwtag  DW_TAG_base_type, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x08)

$C$DW$T$20	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$20, DW_AT_byte_size(0x40)
$C$DW$39	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$39, DW_AT_name("ic0")
	.dwattr $C$DW$39, DW_AT_TI_symbol_name("_ic0")
	.dwattr $C$DW$39, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$39, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$40	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$40, DW_AT_name("ic1")
	.dwattr $C$DW$40, DW_AT_TI_symbol_name("_ic1")
	.dwattr $C$DW$40, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$40, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$41	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$41, DW_AT_name("ic2")
	.dwattr $C$DW$41, DW_AT_TI_symbol_name("_ic2")
	.dwattr $C$DW$41, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$41, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$42	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$42, DW_AT_name("ic3")
	.dwattr $C$DW$42, DW_AT_TI_symbol_name("_ic3")
	.dwattr $C$DW$42, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr $C$DW$42, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$43	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$43, DW_AT_name("ic4")
	.dwattr $C$DW$43, DW_AT_TI_symbol_name("_ic4")
	.dwattr $C$DW$43, DW_AT_data_member_location[DW_OP_plus_uconst 0x10]
	.dwattr $C$DW$43, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$44	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$44, DW_AT_name("ic5")
	.dwattr $C$DW$44, DW_AT_TI_symbol_name("_ic5")
	.dwattr $C$DW$44, DW_AT_data_member_location[DW_OP_plus_uconst 0x14]
	.dwattr $C$DW$44, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$45	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$45, DW_AT_name("ic6")
	.dwattr $C$DW$45, DW_AT_TI_symbol_name("_ic6")
	.dwattr $C$DW$45, DW_AT_data_member_location[DW_OP_plus_uconst 0x18]
	.dwattr $C$DW$45, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$46	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$46, DW_AT_name("ic7")
	.dwattr $C$DW$46, DW_AT_TI_symbol_name("_ic7")
	.dwattr $C$DW$46, DW_AT_data_member_location[DW_OP_plus_uconst 0x1c]
	.dwattr $C$DW$46, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$47	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$47, DW_AT_name("ic8")
	.dwattr $C$DW$47, DW_AT_TI_symbol_name("_ic8")
	.dwattr $C$DW$47, DW_AT_data_member_location[DW_OP_plus_uconst 0x20]
	.dwattr $C$DW$47, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$48	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$48, DW_AT_name("ic9")
	.dwattr $C$DW$48, DW_AT_TI_symbol_name("_ic9")
	.dwattr $C$DW$48, DW_AT_data_member_location[DW_OP_plus_uconst 0x24]
	.dwattr $C$DW$48, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$49	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$49, DW_AT_name("ic10")
	.dwattr $C$DW$49, DW_AT_TI_symbol_name("_ic10")
	.dwattr $C$DW$49, DW_AT_data_member_location[DW_OP_plus_uconst 0x28]
	.dwattr $C$DW$49, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$50	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$50, DW_AT_name("ic11")
	.dwattr $C$DW$50, DW_AT_TI_symbol_name("_ic11")
	.dwattr $C$DW$50, DW_AT_data_member_location[DW_OP_plus_uconst 0x2c]
	.dwattr $C$DW$50, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$51	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$51, DW_AT_name("ic12")
	.dwattr $C$DW$51, DW_AT_TI_symbol_name("_ic12")
	.dwattr $C$DW$51, DW_AT_data_member_location[DW_OP_plus_uconst 0x30]
	.dwattr $C$DW$51, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$52	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$52, DW_AT_name("ic13")
	.dwattr $C$DW$52, DW_AT_TI_symbol_name("_ic13")
	.dwattr $C$DW$52, DW_AT_data_member_location[DW_OP_plus_uconst 0x34]
	.dwattr $C$DW$52, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$53	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$53, DW_AT_name("ic14")
	.dwattr $C$DW$53, DW_AT_TI_symbol_name("_ic14")
	.dwattr $C$DW$53, DW_AT_data_member_location[DW_OP_plus_uconst 0x38]
	.dwattr $C$DW$53, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$54	.dwtag  DW_TAG_member, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$54, DW_AT_name("ic15")
	.dwattr $C$DW$54, DW_AT_TI_symbol_name("_ic15")
	.dwattr $C$DW$54, DW_AT_data_member_location[DW_OP_plus_uconst 0x3c]
	.dwattr $C$DW$54, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$20

$C$DW$T$23	.dwtag  DW_TAG_typedef, DW_AT_name("TCP2_ConfigIc")
	.dwattr $C$DW$T$23, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$T$23, DW_AT_language(DW_LANG_C)
$C$DW$T$24	.dwtag  DW_TAG_pointer_type, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$T$24, DW_AT_address_class(0x20)
$C$DW$T$25	.dwtag  DW_TAG_TI_restrict_type
	.dwattr $C$DW$T$25, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF REGISTER MAP                                          *
;***************************************************************

$C$DW$55	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A0")
	.dwattr $C$DW$55, DW_AT_location[DW_OP_reg0]
$C$DW$56	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A1")
	.dwattr $C$DW$56, DW_AT_location[DW_OP_reg1]
$C$DW$57	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A2")
	.dwattr $C$DW$57, DW_AT_location[DW_OP_reg2]
$C$DW$58	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A3")
	.dwattr $C$DW$58, DW_AT_location[DW_OP_reg3]
$C$DW$59	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A4")
	.dwattr $C$DW$59, DW_AT_location[DW_OP_reg4]
$C$DW$60	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A5")
	.dwattr $C$DW$60, DW_AT_location[DW_OP_reg5]
$C$DW$61	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A6")
	.dwattr $C$DW$61, DW_AT_location[DW_OP_reg6]
$C$DW$62	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A7")
	.dwattr $C$DW$62, DW_AT_location[DW_OP_reg7]
$C$DW$63	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A8")
	.dwattr $C$DW$63, DW_AT_location[DW_OP_reg8]
$C$DW$64	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A9")
	.dwattr $C$DW$64, DW_AT_location[DW_OP_reg9]
$C$DW$65	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A10")
	.dwattr $C$DW$65, DW_AT_location[DW_OP_reg10]
$C$DW$66	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A11")
	.dwattr $C$DW$66, DW_AT_location[DW_OP_reg11]
$C$DW$67	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A12")
	.dwattr $C$DW$67, DW_AT_location[DW_OP_reg12]
$C$DW$68	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A13")
	.dwattr $C$DW$68, DW_AT_location[DW_OP_reg13]
$C$DW$69	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A14")
	.dwattr $C$DW$69, DW_AT_location[DW_OP_reg14]
$C$DW$70	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A15")
	.dwattr $C$DW$70, DW_AT_location[DW_OP_reg15]
$C$DW$71	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B0")
	.dwattr $C$DW$71, DW_AT_location[DW_OP_reg16]
$C$DW$72	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B1")
	.dwattr $C$DW$72, DW_AT_location[DW_OP_reg17]
$C$DW$73	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B2")
	.dwattr $C$DW$73, DW_AT_location[DW_OP_reg18]
$C$DW$74	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B3")
	.dwattr $C$DW$74, DW_AT_location[DW_OP_reg19]
$C$DW$75	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B4")
	.dwattr $C$DW$75, DW_AT_location[DW_OP_reg20]
$C$DW$76	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B5")
	.dwattr $C$DW$76, DW_AT_location[DW_OP_reg21]
$C$DW$77	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B6")
	.dwattr $C$DW$77, DW_AT_location[DW_OP_reg22]
$C$DW$78	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B7")
	.dwattr $C$DW$78, DW_AT_location[DW_OP_reg23]
$C$DW$79	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B8")
	.dwattr $C$DW$79, DW_AT_location[DW_OP_reg24]
$C$DW$80	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B9")
	.dwattr $C$DW$80, DW_AT_location[DW_OP_reg25]
$C$DW$81	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B10")
	.dwattr $C$DW$81, DW_AT_location[DW_OP_reg26]
$C$DW$82	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B11")
	.dwattr $C$DW$82, DW_AT_location[DW_OP_reg27]
$C$DW$83	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B12")
	.dwattr $C$DW$83, DW_AT_location[DW_OP_reg28]
$C$DW$84	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B13")
	.dwattr $C$DW$84, DW_AT_location[DW_OP_reg29]
$C$DW$85	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DP")
	.dwattr $C$DW$85, DW_AT_location[DW_OP_reg30]
$C$DW$86	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("SP")
	.dwattr $C$DW$86, DW_AT_location[DW_OP_reg31]
$C$DW$87	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FP")
	.dwattr $C$DW$87, DW_AT_location[DW_OP_regx 0x20]
$C$DW$88	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PC")
	.dwattr $C$DW$88, DW_AT_location[DW_OP_regx 0x21]
$C$DW$89	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IRP")
	.dwattr $C$DW$89, DW_AT_location[DW_OP_regx 0x22]
$C$DW$90	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IFR")
	.dwattr $C$DW$90, DW_AT_location[DW_OP_regx 0x23]
$C$DW$91	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("NRP")
	.dwattr $C$DW$91, DW_AT_location[DW_OP_regx 0x24]
$C$DW$92	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A16")
	.dwattr $C$DW$92, DW_AT_location[DW_OP_regx 0x25]
$C$DW$93	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A17")
	.dwattr $C$DW$93, DW_AT_location[DW_OP_regx 0x26]
$C$DW$94	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A18")
	.dwattr $C$DW$94, DW_AT_location[DW_OP_regx 0x27]
$C$DW$95	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A19")
	.dwattr $C$DW$95, DW_AT_location[DW_OP_regx 0x28]
$C$DW$96	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A20")
	.dwattr $C$DW$96, DW_AT_location[DW_OP_regx 0x29]
$C$DW$97	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A21")
	.dwattr $C$DW$97, DW_AT_location[DW_OP_regx 0x2a]
$C$DW$98	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A22")
	.dwattr $C$DW$98, DW_AT_location[DW_OP_regx 0x2b]
$C$DW$99	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A23")
	.dwattr $C$DW$99, DW_AT_location[DW_OP_regx 0x2c]
$C$DW$100	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A24")
	.dwattr $C$DW$100, DW_AT_location[DW_OP_regx 0x2d]
$C$DW$101	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A25")
	.dwattr $C$DW$101, DW_AT_location[DW_OP_regx 0x2e]
$C$DW$102	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A26")
	.dwattr $C$DW$102, DW_AT_location[DW_OP_regx 0x2f]
$C$DW$103	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A27")
	.dwattr $C$DW$103, DW_AT_location[DW_OP_regx 0x30]
$C$DW$104	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A28")
	.dwattr $C$DW$104, DW_AT_location[DW_OP_regx 0x31]
$C$DW$105	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A29")
	.dwattr $C$DW$105, DW_AT_location[DW_OP_regx 0x32]
$C$DW$106	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A30")
	.dwattr $C$DW$106, DW_AT_location[DW_OP_regx 0x33]
$C$DW$107	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("A31")
	.dwattr $C$DW$107, DW_AT_location[DW_OP_regx 0x34]
$C$DW$108	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B16")
	.dwattr $C$DW$108, DW_AT_location[DW_OP_regx 0x35]
$C$DW$109	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B17")
	.dwattr $C$DW$109, DW_AT_location[DW_OP_regx 0x36]
$C$DW$110	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B18")
	.dwattr $C$DW$110, DW_AT_location[DW_OP_regx 0x37]
$C$DW$111	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B19")
	.dwattr $C$DW$111, DW_AT_location[DW_OP_regx 0x38]
$C$DW$112	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B20")
	.dwattr $C$DW$112, DW_AT_location[DW_OP_regx 0x39]
$C$DW$113	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B21")
	.dwattr $C$DW$113, DW_AT_location[DW_OP_regx 0x3a]
$C$DW$114	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B22")
	.dwattr $C$DW$114, DW_AT_location[DW_OP_regx 0x3b]
$C$DW$115	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B23")
	.dwattr $C$DW$115, DW_AT_location[DW_OP_regx 0x3c]
$C$DW$116	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B24")
	.dwattr $C$DW$116, DW_AT_location[DW_OP_regx 0x3d]
$C$DW$117	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B25")
	.dwattr $C$DW$117, DW_AT_location[DW_OP_regx 0x3e]
$C$DW$118	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B26")
	.dwattr $C$DW$118, DW_AT_location[DW_OP_regx 0x3f]
$C$DW$119	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B27")
	.dwattr $C$DW$119, DW_AT_location[DW_OP_regx 0x40]
$C$DW$120	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B28")
	.dwattr $C$DW$120, DW_AT_location[DW_OP_regx 0x41]
$C$DW$121	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B29")
	.dwattr $C$DW$121, DW_AT_location[DW_OP_regx 0x42]
$C$DW$122	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B30")
	.dwattr $C$DW$122, DW_AT_location[DW_OP_regx 0x43]
$C$DW$123	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("B31")
	.dwattr $C$DW$123, DW_AT_location[DW_OP_regx 0x44]
$C$DW$124	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AMR")
	.dwattr $C$DW$124, DW_AT_location[DW_OP_regx 0x45]
$C$DW$125	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("CSR")
	.dwattr $C$DW$125, DW_AT_location[DW_OP_regx 0x46]
$C$DW$126	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ISR")
	.dwattr $C$DW$126, DW_AT_location[DW_OP_regx 0x47]
$C$DW$127	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ICR")
	.dwattr $C$DW$127, DW_AT_location[DW_OP_regx 0x48]
$C$DW$128	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IER")
	.dwattr $C$DW$128, DW_AT_location[DW_OP_regx 0x49]
$C$DW$129	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ISTP")
	.dwattr $C$DW$129, DW_AT_location[DW_OP_regx 0x4a]
$C$DW$130	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IN")
	.dwattr $C$DW$130, DW_AT_location[DW_OP_regx 0x4b]
$C$DW$131	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("OUT")
	.dwattr $C$DW$131, DW_AT_location[DW_OP_regx 0x4c]
$C$DW$132	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ACR")
	.dwattr $C$DW$132, DW_AT_location[DW_OP_regx 0x4d]
$C$DW$133	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ADR")
	.dwattr $C$DW$133, DW_AT_location[DW_OP_regx 0x4e]
$C$DW$134	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FADCR")
	.dwattr $C$DW$134, DW_AT_location[DW_OP_regx 0x4f]
$C$DW$135	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FAUCR")
	.dwattr $C$DW$135, DW_AT_location[DW_OP_regx 0x50]
$C$DW$136	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FMCR")
	.dwattr $C$DW$136, DW_AT_location[DW_OP_regx 0x51]
$C$DW$137	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("GFPGFR")
	.dwattr $C$DW$137, DW_AT_location[DW_OP_regx 0x52]
$C$DW$138	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DIER")
	.dwattr $C$DW$138, DW_AT_location[DW_OP_regx 0x53]
$C$DW$139	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("REP")
	.dwattr $C$DW$139, DW_AT_location[DW_OP_regx 0x54]
$C$DW$140	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TSCL")
	.dwattr $C$DW$140, DW_AT_location[DW_OP_regx 0x55]
$C$DW$141	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TSCH")
	.dwattr $C$DW$141, DW_AT_location[DW_OP_regx 0x56]
$C$DW$142	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ARP")
	.dwattr $C$DW$142, DW_AT_location[DW_OP_regx 0x57]
$C$DW$143	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ILC")
	.dwattr $C$DW$143, DW_AT_location[DW_OP_regx 0x58]
$C$DW$144	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RILC")
	.dwattr $C$DW$144, DW_AT_location[DW_OP_regx 0x59]
$C$DW$145	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DNUM")
	.dwattr $C$DW$145, DW_AT_location[DW_OP_regx 0x5a]
$C$DW$146	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("SSR")
	.dwattr $C$DW$146, DW_AT_location[DW_OP_regx 0x5b]
$C$DW$147	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("GPLYA")
	.dwattr $C$DW$147, DW_AT_location[DW_OP_regx 0x5c]
$C$DW$148	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("GPLYB")
	.dwattr $C$DW$148, DW_AT_location[DW_OP_regx 0x5d]
$C$DW$149	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TSR")
	.dwattr $C$DW$149, DW_AT_location[DW_OP_regx 0x5e]
$C$DW$150	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ITSR")
	.dwattr $C$DW$150, DW_AT_location[DW_OP_regx 0x5f]
$C$DW$151	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("NTSR")
	.dwattr $C$DW$151, DW_AT_location[DW_OP_regx 0x60]
$C$DW$152	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("EFR")
	.dwattr $C$DW$152, DW_AT_location[DW_OP_regx 0x61]
$C$DW$153	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ECR")
	.dwattr $C$DW$153, DW_AT_location[DW_OP_regx 0x62]
$C$DW$154	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IERR")
	.dwattr $C$DW$154, DW_AT_location[DW_OP_regx 0x63]
$C$DW$155	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DMSG")
	.dwattr $C$DW$155, DW_AT_location[DW_OP_regx 0x64]
$C$DW$156	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("CMSG")
	.dwattr $C$DW$156, DW_AT_location[DW_OP_regx 0x65]
$C$DW$157	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DT_DMA_ADDR")
	.dwattr $C$DW$157, DW_AT_location[DW_OP_regx 0x66]
$C$DW$158	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DT_DMA_DATA")
	.dwattr $C$DW$158, DW_AT_location[DW_OP_regx 0x67]
$C$DW$159	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DT_DMA_CNTL")
	.dwattr $C$DW$159, DW_AT_location[DW_OP_regx 0x68]
$C$DW$160	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TCU_CNTL")
	.dwattr $C$DW$160, DW_AT_location[DW_OP_regx 0x69]
$C$DW$161	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_REC_CNTL")
	.dwattr $C$DW$161, DW_AT_location[DW_OP_regx 0x6a]
$C$DW$162	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_XMT_CNTL")
	.dwattr $C$DW$162, DW_AT_location[DW_OP_regx 0x6b]
$C$DW$163	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_CFG")
	.dwattr $C$DW$163, DW_AT_location[DW_OP_regx 0x6c]
$C$DW$164	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_RDATA")
	.dwattr $C$DW$164, DW_AT_location[DW_OP_regx 0x6d]
$C$DW$165	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_WDATA")
	.dwattr $C$DW$165, DW_AT_location[DW_OP_regx 0x6e]
$C$DW$166	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_RADDR")
	.dwattr $C$DW$166, DW_AT_location[DW_OP_regx 0x6f]
$C$DW$167	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RTDX_WADDR")
	.dwattr $C$DW$167, DW_AT_location[DW_OP_regx 0x70]
$C$DW$168	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("MFREG0")
	.dwattr $C$DW$168, DW_AT_location[DW_OP_regx 0x71]
$C$DW$169	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DBG_STAT")
	.dwattr $C$DW$169, DW_AT_location[DW_OP_regx 0x72]
$C$DW$170	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("BRK_EN")
	.dwattr $C$DW$170, DW_AT_location[DW_OP_regx 0x73]
$C$DW$171	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("HWBP0_CNT")
	.dwattr $C$DW$171, DW_AT_location[DW_OP_regx 0x74]
$C$DW$172	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("HWBP0")
	.dwattr $C$DW$172, DW_AT_location[DW_OP_regx 0x75]
$C$DW$173	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("HWBP1")
	.dwattr $C$DW$173, DW_AT_location[DW_OP_regx 0x76]
$C$DW$174	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("HWBP2")
	.dwattr $C$DW$174, DW_AT_location[DW_OP_regx 0x77]
$C$DW$175	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("HWBP3")
	.dwattr $C$DW$175, DW_AT_location[DW_OP_regx 0x78]
$C$DW$176	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("OVERLAY")
	.dwattr $C$DW$176, DW_AT_location[DW_OP_regx 0x79]
$C$DW$177	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PC_PROF")
	.dwattr $C$DW$177, DW_AT_location[DW_OP_regx 0x7a]
$C$DW$178	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ATSR")
	.dwattr $C$DW$178, DW_AT_location[DW_OP_regx 0x7b]
$C$DW$179	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TRR")
	.dwattr $C$DW$179, DW_AT_location[DW_OP_regx 0x7c]
$C$DW$180	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("TCRR")
	.dwattr $C$DW$180, DW_AT_location[DW_OP_regx 0x7d]
$C$DW$181	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DESR")
	.dwattr $C$DW$181, DW_AT_location[DW_OP_regx 0x7e]
$C$DW$182	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DETR")
	.dwattr $C$DW$182, DW_AT_location[DW_OP_regx 0x7f]
$C$DW$183	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("CIE_RETA")
	.dwattr $C$DW$183, DW_AT_location[DW_OP_regx 0xe4]
	.dwendtag $C$DW$CU

